## org.apache.batik.dom.svg
Class AbstractElement.ExtendedNamedNodeHashMap

    java.lang.Object
      org.apache.batik.dom.AbstractElement.NamedNodeHashMap
          org.apache.batik.dom.svg.AbstractElement.ExtendedNamedNodeHashMap

All Implemented Interfaces:
  org.w3c.dom.NamedNodeMap, java.io.Serializable

Enclosing class:
  AbstractElement

protected class AbstractElement.ExtendedNamedNodeHashMap
extends AbstractElement.NamedNodeHashMap

An implementation of the `NamedNodeMap`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.batik.dom.AbstractElement.NamedNodeHashMap
`count, INITIAL_CAPACITY, table`

Constructor Summary
`AbstractElement.ExtendedNamedNodeHashMap()` Creates a new ExtendedNamedNodeHashMap object.

Method Summary
`org.w3c.dom.Node` `removeNamedItemNS(java.lang.String namespaceURI, java.lang.String localName)` DOM: Implements `NamedNodeMap.removeNamedItemNS(String,String)`.
`void` `setUnspecifiedAttribute(java.lang.String nsURI, java.lang.String name, java.lang.String value)` Adds an unspecified attribute to the map.

Methods inherited from class org.apache.batik.dom.AbstractElement.NamedNodeHashMap
`checkNode, get, getLength, getNamedItem, getNamedItemNS, hashCode, item, put, rehash, remove, removeNamedItem, setNamedItem, setNamedItem, setNamedItemNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractElement.ExtendedNamedNodeHashMap

    public AbstractElement.ExtendedNamedNodeHashMap()

  Creates a new ExtendedNamedNodeHashMap object.

Method Detail

### setUnspecifiedAttribute

    public void setUnspecifiedAttribute(java.lang.String nsURI,
                                        java.lang.String name,
                                        java.lang.String value)

  Adds an unspecified attribute to the map.

  Parameters:
    `nsURI` - The attribute namespace URI.
    `name` - The attribute's qualified name.
    `value` - The attribute's default value.

### removeNamedItemNS

    public org.w3c.dom.Node removeNamedItemNS(java.lang.String namespaceURI,
                                              java.lang.String localName)
                                       throws org.w3c.dom.DOMException

  DOM: Implements `NamedNodeMap.removeNamedItemNS(String,String)`.

  Specified by:
    `removeNamedItemNS` in interface `org.w3c.dom.NamedNodeMap`
  Overrides:
    `removeNamedItemNS` in class `AbstractElement.NamedNodeHashMap`
  Throws:
    `org.w3c.dom.DOMException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.